User:ColdReactive/monobook.css

From Homestar Runner Wiki

< User:ColdReactive(Difference between revisions)
Jump to: navigation, search
(Newer...?)
(Roundy time)
 
Line 1: Line 1:
-
/* <source lang="css"> */
+
/* If you copy this, please include the following line:
   
   
-
/* The following are Vector bugfixes */
+
/* Taken from [[User:Animum/monobook.css]] */
   
   
-
/* Temporary fix until [[bugzilla:19567]] is addressed */
+
/* Thank you. */
-
#siteNotice div { margin: 0; }
+
-
#siteNotice div.expanded table.siteNoticeUser { margin-bottom: 1em; }
+
/* Orange "You have new messages" changed to use that nice icon of a rotary phone and complimenting colors */
 +
.usermessage {
 +
    background-color: transparent;
 +
    background: url('http://upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Exquisite-Modem_cropped.png/32px-Exquisite-Modem_cropped.png') no-repeat left;
 +
    color: #444444;
 +
    border: none;
 +
    font-weight: bold;
 +
    margin: 2em 0em 1em 0em;
 +
    padding-left: 3.5em;
 +
    vertical-align: middle;
 +
}
 +
 +
.usermessage a {
 +
    color: #444444;
 +
}
 +
 +
/* "From Wikipedia, the free encyclopedia" modification */
 +
#siteSub {
 +
    font-family: Trebuchet MS;
 +
    font-size: 95%;
 +
}
 +
 +
/* Text alignment */
 +
body.mediawiki {
 +
    text-align: left;
 +
}
 +
 +
/* Tab-rounding */
 +
#p-cactions ul {
 +
        overflow: visible;
 +
}
 +
 +
#p-cactions li {
 +
        border: 2px solid lightgrey;
 +
        position: relative;
 +
        float: left;
 +
        -moz-border-radius-topleft: .5em;
 +
        -moz-border-radius-topright: .5em;
 +
}
 +
 +
/* Get rid of the border in the page title */
 +
.firstHeading {
 +
    border-bottom: none;
 +
}
 +
 +
/* Don't display the border when using templates such as {{User:One/Title}} */
 +
hr#hrTitleModification {
 +
    width: 0%;
 +
}
 +
 +
/* Replace dotted borders on pre with a solid one */
 +
#bodyContent pre {
 +
    border: 1px solid #aaa;
 +
}
 +
 +
/* Miscellaneous corner-rounding */
 +
div.pBody {
 +
    -moz-border-radius-topright: 0.5em;
 +
    -moz-border-radius-bottomright: 0.5em;
 +
}
 +
 +
#content {
 +
    -moz-border-radius-topleft: 0.75em;
 +
    -moz-border-radius-bottomleft: 0.75em;
 +
    border: 1px solid #AAAAAA;
 +
}
 +
 +
#footer {
 +
    -moz-border-radius: 6px;
 +
    border: 1px solid #fabd23;
 +
}
 +
 +
/* Link customization */
 +
#bodyContent a.text {
 +
    background: display;
 +
}
 +
 +
/* Some edit screen modifications */
 +
#editpage-copywarn3, #editpage-copywarn2, #editpage-copywarn {
 +
    display: none;
 +
}  
   
   
-
/* [[bugzilla:20276]] */
 
input#wpSummary {
input#wpSummary {
-
width:100%;
+
    width: 50%;
 +
    margin-top: 12px;
}
}
-
/* end bugfixes */
 
   
   
-
/* Don't display some stuff on the main page */
+
.editHelp {
-
body.page-Main_Page #deleteconfirm,
+
    margin-top: 1.25em;
-
body.page-Main_Page #t-cite,
+
    margin-bottom: 6px;
-
body.page-Main_Page #footer-info-lastmod,
+
-
body.page-Main_Page #siteSub,
+
-
body.page-Main_Page #contentSub,
+
-
body.page-Main_Page h1.firstHeading {
+
-
display: none !important;
+
}
}
   
   
-
body.page-Main_Page #mp-topbanner {
+
#wpSave, #wpPreview {
-
margin-top: 0 !important;
+
    margin-right: 1px;
}
}
   
   
-
#coordinates {
+
#toolbar {
-
position: absolute;
+
    display: none;
-
top: -1em;
+
-
right: 0em;
+
-
float: right;
+
-
margin: 0.0em;
+
-
padding: 0.0em;
+
-
line-height: 1.5em;
+
-
text-align: right;
+
-
text-indent: 0;
+
-
font-size: 85%;
+
-
text-transform: none;
+
-
white-space: nowrap;
+
}
}
   
   
-
/* For positioning icons at top-right, used in Templates
+
textarea#wpTextbox1 {
-
  "Spoken Article" and "Featured Article" */
+
    background-color: #FFFFFF; /* Kill the horrible new background color for certain pages */
-
div.topicon {
+
    border: 1px solid #AAAAAA;
-
position: absolute;
+
-
top: -3em;
+
-
margin-right: -10px;
+
-
display: block !important;
+
}
}
   
   
-
/* Template:Title override */
+
#longpagewarning {
-
div#title-override {
+
    display: none;
-
  left: 0 !important;
+
-
  top: -2em !important;
+
-
  padding: 0.5em 0 0.2em 0 !important;
+
}
}
   
   
-
/* Display "From Wikipedia, the free encyclopedia" */
+
/* Patrolled pages "fixer" */
-
body.ns-0 #siteSub,
+
.patrollink {
-
body.ns-1 #siteSub {
+
     display: none;
-
     display: inline;
+
-
    font-size: 92%;
+
-
    font-weight: normal;
+
}
}
   
   
-
body.ns-0 div.topicon,
+
li.not-patrolled {
-
body.ns-1 div.topicon {
+
    background-color: transparent;
-
top: -2em;
+
}
}
   
   
-
body.ns-0 #coordinates,
+
/* This bit is stolen from [[User:AzaToth/monobook.css]], which is in turn modified from [[User:Ævar Arnfjörð Bjarmason/monobook.css]] */
-
body.ns-1 #coordinates {
+
   
-
  top: 0em;
+
/* Nice borders for (almost) all boxes */
 +
input[type="radio"], input[type="checkbox"] {
 +
    border: none;
}
}
   
   
-
/* {{tl|Link FA}} */
+
input[type="submit"] {
-
#panel div.portal div.body ul li.FA {
+
    border: 1px solid #aaa !important;
-
  background: url("http://upload.wikimedia.org/wikipedia/commons/d/d4/Monobook-bullet-star.png") no-repeat 0% 0%;
+
    background-color: #f9f9f9 !important;
-
  margin-left: -10px;
+
-
  padding-left: 10px;
+
}
}
   
   
-
#siteNotice .notice-all {
+
/* make round corners for the rest */
-
  margin-bottom: 1em !important;
+
input[type="submit"] {
-
  margin-right: 2px !important;
+
    -moz-border-radius-topleft: 2px !important;  
 +
    -moz-border-radius-topright: 2px !important;
 +
    -moz-border-radius-bottomleft: 2px;
 +
    -moz-border-radius-bottomright: 2px;
}
}
   
   
-
/* Blue instead of yellow padlock for secure links. */
+
input[type="submit"] {
-
#bodyContent a.external[href ^="https://"],
+
    color: #aaa !important;
-
.link-https {
+
-
  background: url("http://upload.wikimedia.org/wikipedia/en/0/00/Lock_icon_blue.gif") center right no-repeat;
+
}
}
   
   
-
/* Adjust font-size for inline HTML generated TeX formulae */
+
input[type="submit"]:hover, input[type="submit"]:focus {
-
.texhtml {
+
    background-color: #fff !important;
-
  font-size: 125%;
+
    color: #000 !important;
-
  line-height: 1.5em;
+
    cursor: pointer !important;
 +
}
 +
 +
/* Prettify the headers of the quickbar (left-hand column of boxes) */
 +
 +
#p-navigation h5, #p-interaction h5, #p-search h5, #p-tb h5, #p-navclone h5, #p-lang h5 {
 +
    display: inline;
 +
    height: 1em;
 +
    font-size: 85%;
 +
    font-weight: normal;
 +
    white-space: nowrap;
 +
    border-color: #aaa;
 +
    border-width: 1px;
 +
    border-style: solid solid none solid;
 +
    padding: 0 1em 1px 1em;
 +
    text-transform: lowercase;
 +
    background: white;
 +
    -moz-border-radius-topright: 1em;
 +
}
 +
 +
#p-navigation, #p-interaction, #p-search, #p-tb, #p-navclone, #p-lang {
 +
    padding-top: 2px;
 +
}
 +
 +
/* Works in conjunction with my monobook.js */
 +
 +
li#ca-userrights, li#ca-stats6, li#ca-rts {
 +
    display: none;
 +
}
 +
 +
/* Nix the "Try Beta" link and donation notice */
 +
 +
li#pt-optin-try, li#pt-acaibeta, div#siteNotice {
 +
    display: none;
}
}
   
   
-
/* </source> */
+
/* Space below is for testing */

Current revision as of 07:06, 14 May 2010

/* If you copy this, please include the following line: 
 
/* Taken from [[User:Animum/monobook.css]] */
 
/* Thank you. */
 
/* Orange "You have new messages" changed to use that nice icon of a rotary phone and complimenting colors */
.usermessage {
    background-color: transparent;
    background: url('http://upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Exquisite-Modem_cropped.png/32px-Exquisite-Modem_cropped.png') no-repeat left;
    color: #444444;
    border: none;
    font-weight: bold;
    margin: 2em 0em 1em 0em;
    padding-left: 3.5em;
    vertical-align: middle;
}
 
.usermessage a {
    color: #444444;
}
 
/* "From Wikipedia, the free encyclopedia" modification */
#siteSub {
    font-family: Trebuchet MS;
    font-size: 95%;
}
 
/* Text alignment */
body.mediawiki {
    text-align: left;
}
 
/* Tab-rounding */
#p-cactions ul {
        overflow: visible;
}
 
#p-cactions li {
        border: 2px solid lightgrey;
        position: relative;
        float: left;
        -moz-border-radius-topleft: .5em;
        -moz-border-radius-topright: .5em;
}
 
/* Get rid of the border in the page title */
.firstHeading {
    border-bottom: none;
}
 
/* Don't display the border when using templates such as {{User:One/Title}} */
hr#hrTitleModification {
    width: 0%;
}
 
/* Replace dotted borders on pre with a solid one */
#bodyContent pre {
    border: 1px solid #aaa;
}
 
/* Miscellaneous corner-rounding */
div.pBody {
    -moz-border-radius-topright: 0.5em;
    -moz-border-radius-bottomright: 0.5em;
}
 
#content {
    -moz-border-radius-topleft: 0.75em;
    -moz-border-radius-bottomleft: 0.75em;
    border: 1px solid #AAAAAA;
}
 
#footer {
    -moz-border-radius: 6px;
    border: 1px solid #fabd23;
}
 
/* Link customization */
#bodyContent a.text {
    background: display;
}
 
/* Some edit screen modifications */
#editpage-copywarn3, #editpage-copywarn2, #editpage-copywarn {
    display: none;
} 
 
input#wpSummary {
    width: 50%;
    margin-top: 12px;
}
 
.editHelp {
    margin-top: 1.25em;
    margin-bottom: 6px;
}
 
#wpSave, #wpPreview {
    margin-right: 1px;
}
 
#toolbar {
    display: none;
}
 
textarea#wpTextbox1 {
    background-color: #FFFFFF; /* Kill the horrible new background color for certain pages */
    border: 1px solid #AAAAAA;
}
 
#longpagewarning {
    display: none;
}
 
/* Patrolled pages "fixer" */
.patrollink {
    display: none;
}
 
li.not-patrolled {
    background-color: transparent;
}
 
/* This bit is stolen from [[User:AzaToth/monobook.css]], which is in turn modified from [[User:Ævar Arnfjörð Bjarmason/monobook.css]] */
 
/* Nice borders for (almost) all boxes */
input[type="radio"], input[type="checkbox"] {
    border: none;
}
 
input[type="submit"] {
    border: 1px solid #aaa !important;
    background-color: #f9f9f9 !important;
}
 
/* make round corners for the rest */
input[type="submit"] {
    -moz-border-radius-topleft: 2px !important; 
    -moz-border-radius-topright: 2px !important;
    -moz-border-radius-bottomleft: 2px;
    -moz-border-radius-bottomright: 2px;
}
 
input[type="submit"] {
    color: #aaa !important;
}
 
input[type="submit"]:hover, input[type="submit"]:focus {
    background-color: #fff !important;
    color: #000 !important;
    cursor: pointer !important;
}
 
/* Prettify the headers of the quickbar (left-hand column of boxes) */
 
#p-navigation h5, #p-interaction h5, #p-search h5, #p-tb h5, #p-navclone h5, #p-lang h5 {
    display: inline;
    height: 1em;
    font-size: 85%;
    font-weight: normal;
    white-space: nowrap;
    border-color: #aaa; 
    border-width: 1px;
    border-style: solid solid none solid;
    padding: 0 1em 1px 1em;
    text-transform: lowercase;
    background: white;
    -moz-border-radius-topright: 1em;
}
 
#p-navigation, #p-interaction, #p-search, #p-tb, #p-navclone, #p-lang {
    padding-top: 2px;
}
 
/* Works in conjunction with my monobook.js */
 
li#ca-userrights, li#ca-stats6, li#ca-rts {
    display: none;
}
 
/* Nix the "Try Beta" link and donation notice */
 
li#pt-optin-try, li#pt-acaibeta, div#siteNotice {
    display: none;
}
 
/* Space below is for testing */
Personal tools